# Uses of Enum Class
org.apache.lucene.analysis.ja.JapaneseCompletionFilter.Mode

Packages that use JapaneseCompletionFilter.Mode
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.

- ## Uses of JapaneseCompletionFilter.Mode in org.apache.lucene.analysis.ja

  Fields in org.apache.lucene.analysis.ja declared as JapaneseCompletionFilter.Mode
  Modifier and Type
  Field
  Description
  `static final JapaneseCompletionFilter.Mode`
  JapaneseCompletionFilter.`DEFAULT_MODE`
  Methods in org.apache.lucene.analysis.ja that return JapaneseCompletionFilter.Mode
  Modifier and Type
  Method
  Description
  `static JapaneseCompletionFilter.Mode`
  JapaneseCompletionFilter.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JapaneseCompletionFilter.Mode[]`
  JapaneseCompletionFilter.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.analysis.ja with parameters of type JapaneseCompletionFilter.Mode
  Modifier
  Constructor
  Description
  ``
  `JapaneseCompletionAnalyzer(UserDictionary userDict, JapaneseCompletionFilter.Mode mode)`
  Creates a new `JapaneseCompletionAnalyzer`
  ``
  `JapaneseCompletionFilter(TokenStream input, JapaneseCompletionFilter.Mode mode)`
  Creates a new `JapaneseCompletionFilter`